import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class IdleContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    idleController({ address, network }: ContractOpts): import("./ethers").IdleController;
    idlePerpYieldTranches({ address, network }: ContractOpts): import("./ethers").IdlePerpYieldTranches;
    idleToken({ address, network }: ContractOpts): import("./ethers").IdleToken;
}
export type { IdleController } from './ethers';
export type { IdlePerpYieldTranches } from './ethers';
export type { IdleToken } from './ethers';
